--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Creates a new PosixHeader. A PosixHeader cannot be created unless the #name, #size, #prefix, and #mode are provided."
full_name: Archive::Tar::PosixHeader::new
is_singleton: true
name: new
params: (vals)
visibility: public
